%global _empty_manifest_terminate_build 0
Name:		python-apache-libcloud
Version:	3.7.0
Release:	1
Summary:	A standard Python library that abstracts away differences among multiple cloud provider APIs. 
License:	Apache-2.0
URL:		https://libcloud.apache.org/
Source0:	https://files.pythonhosted.org/packages/ee/33/1cc39b29f392154765c9c86446892066275363c6f3cea6a5b1834d9c4301/apache-libcloud-3.7.0.tar.gz
BuildArch:	noarch

Requires:	python3-requests

%description
Apache Libcloud is a Python library which hides differences between different
cloud provider APIs and allows you to manage different cloud resources
through a unified and easy to use API.

%package -n python3-apache-libcloud
Summary:	A standard Python library that abstracts away differences among multiple cloud provider APIs. 
Provides:	python-apache-libcloud
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-apache-libcloud
Apache Libcloud is a Python library which hides differences between different
cloud provider APIs and allows you to manage different cloud resources
through a unified and easy to use API.

%package help
Summary:	Development documents and examples for apache-libcloud
Provides:	python3-apache-libcloud-doc
%description help
Apache Libcloud is a Python library which hides differences between different
cloud provider APIs and allows you to manage different cloud resources
through a unified and easy to use API.

%prep
%autosetup -n apache-libcloud-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-apache-libcloud -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Apr 7 2023 liyanan <thistleslyn@163.com> - 3.7.0-1
- Upgrade package to version 3.7.0

* Thu Nov 18 2021 Python_Bot <Python_Bot@openeuler.org> - 3.4.1-1
- Package Spec generated
